<script setup lang="ts">
import { onMounted } from 'vue'
import { nextTick, ref } from 'vue'
import { useUSPaperStore } from '@/stores/uspaper'
import NewReceiptUseStock from '@/components/UsestockComponent/NewReceiptUseStock.vue'
import ShowUseStockGraphMM from './Graph/ShowUseStockGraphMM.vue'
import ShowUseStockGraphYY from './Graph/ShowUseStockGraphYY.vue'

const headers = [
  {
    title: 'ID',
    key: 'id',
    value: 'id'
  },
  {
    title: 'CreatedDate',
    value: (item: any) => {
      const date = new Date(item.created)
      const d = date.getDate().toString().padStart(2, '0')
      const m = (date.getMonth() + 1).toString().padStart(2, '0')
      const y = date.getFullYear().toString().slice(2)
      return `${d}/${m}/${y}`
    },
    key: 'created'
  },
  {
    title: 'Total',
    value: 'total',
    key: 'total'
  },
  {
    title: 'Amount',
    value: 'qty',
    key: 'qty'
  },
  { title: 'Views', key: 'actions', sortable: false }
]

const paperStore = useUSPaperStore()
const dialog = ref(false)
const search = ref('')

function onSubmit() {}

onMounted(() => {
  paperStore.getUSPapers()
})
function closeDialog() {
  dialog.value = false
  nextTick(() => {
    paperStore.clearForm()
  })
}
</script>

<template>
  <div style="overflow-y: auto">
    <v-container>
      <v-row>
        <v-col><ShowUseStockGraphMM></ShowUseStockGraphMM></v-col>
        <v-col><ShowUseStockGraphYY></ShowUseStockGraphYY></v-col> </v-row
    ></v-container>
  </div>
  <div>
    <v-data-table
      :headers="headers"
      :search="search"
      :items="paperStore.receiptsuse"
      class="custom-datatable"
    >
      <template v-slot:top>
        <v-toolbar flat style="background-color: rgb(247, 156, 82)">
          <v-toolbar-title style="color: white">Receipt UseStock</v-toolbar-title>
          <v-text-field
            rounded
            v-model="search"
            label="Search"
            prepend-inner-icon="mdi-magnify"
            variant="solo"
            hide-details
            single-line
          ></v-text-field>
          <v-btn icon="mdi-cached" style="color: white" @click="paperStore.getUSPapers"></v-btn>
          <v-divider class="mx-4" inset vertical></v-divider>
          <v-spacer></v-spacer>
          <!-- Put Edited  Dialog -->
        </v-toolbar>
      </template>
      <template v-slot:[`item.actions`]="{ item }">
        <NewReceiptUseStock :uspaper="item"></NewReceiptUseStock>
      </template>
      <template v-slot:[`item.log`]="{ item }">
        {{ item }}
      </template>
    </v-data-table>
  </div>
</template>

<style>
.custom-datatable th {
  background-color: rgb(236, 235, 235);
  color: black;
  font-weight: bold !important;
  font-size: 15px; /* Adjust the font size as needed */
}
</style>
